For the complete documentation index, see llms.txt. This page is also available as Markdown.

eth_maxPriorityFeePerGas

Returns the priority fee per gas currently needed for a transaction to be included in a block.

This method will use 20 Compute Units.

Arc pays gas in USDC and blocks are not contested, so the value is currently 0x0.


Parameters

None

Returns

QUANTITY - The suggested priority fee per gas, in wei, as a hexadecimal string.

// Result
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": "0x0"
}
curl https://mainnet.arc.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_maxPriorityFeePerGas","params":[],"id":1}'
curl https://testnet.arc.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_maxPriorityFeePerGas","params":[],"id":1}'

Last updated

Was this helpful?